> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all user addresses

> Returns a list of your user addresses.



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/account-billing/taggings.yml get /user/addresses
openapi: 3.1.0
info:
  title: Telnyx Taggings API
  version: 2.0.0
  description: API for Taggings.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /user/addresses:
    get:
      tags:
        - UserAddresses
      summary: List all user addresses
      description: Returns a list of your user addresses.
      operationId: FindUserAddress
      parameters:
        - $ref: '#/components/parameters/user-addresses_PageConsolidated'
        - $ref: '#/components/parameters/user-addresses_FilterConsolidated'
        - $ref: '#/components/parameters/SortUserAddress'
      responses:
        '200':
          $ref: '#/components/responses/GetAllUserAddressResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '404':
          description: Resource not found
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Telnyx from 'telnyx';

            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });

            // Automatically fetches more pages as needed.
            for await (const userAddress of client.userAddresses.list()) {
              console.log(userAddress.id);
            }
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            page = client.user_addresses.list()
            page = page.data[0]
            print(page.id)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tpage, err := client.UserAddresses.List(context.TODO(), telnyx.UserAddressListParams{})\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", page)\n}\n"
        - lang: Java
          source: |-
            package com.telnyx.sdk.example;

            import com.telnyx.sdk.client.TelnyxClient;
            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
            import com.telnyx.sdk.models.useraddresses.UserAddressListPage;
            import com.telnyx.sdk.models.useraddresses.UserAddressListParams;

            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    UserAddressListPage page = client.userAddresses().list();
                }
            }
        - lang: Ruby
          source: |-
            require "telnyx"

            telnyx = Telnyx::Client.new(api_key: "My API Key")

            page = telnyx.user_addresses.list

            puts(page)
        - lang: CLI
          source: |-
            telnyx user-addresses list \
              --api-key 'My API Key'
components:
  parameters:
    user-addresses_PageConsolidated:
      name: page
      in: query
      style: deepObject
      explode: true
      description: >-
        Consolidated page parameter (deepObject style). Originally: page[size],
        page[number]
      schema:
        type: object
        properties:
          size:
            type: integer
            minimum: 1
            maximum: 250
            default: 20
            description: The size of the page
          number:
            type: integer
            minimum: 1
            default: 1
            description: The page number to load
    user-addresses_FilterConsolidated:
      name: filter
      in: query
      style: deepObject
      explode: true
      description: >-
        Consolidated filter parameter (deepObject style). Originally:
        filter[customer_reference][eq], filter[customer_reference][contains],
        filter[street_address][contains]
      schema:
        type: object
        properties:
          customer_reference:
            type: object
            description: >-
              Filter user addresses via the customer reference. Supports both
              exact matching (eq) and partial matching (contains). Matching is
              not case-sensitive.
            properties:
              eq:
                type: string
                description: >-
                  Filter user addresses via exact customer reference match.
                  Matching is not case-sensitive.
              contains:
                type: string
                description: >-
                  If present, user addresses with
                  <code>customer_reference</code> containing the given value
                  will be returned. Matching is not case-sensitive.
          street_address:
            type: object
            description: >-
              Filter user addresses via street address. Supports partial
              matching (contains). Matching is not case-sensitive.
            properties:
              contains:
                type: string
                description: >-
                  If present, user addresses with <code>street_address</code>
                  containing the given value will be returned. Matching is not
                  case-sensitive. Requires at least three characters.
      examples:
        customer_reference_eq:
          summary: Filter by exact customer reference
          description: Find user addresses with exact customer reference match
          value:
            customer_reference:
              eq: MY REF 001
        customer_reference_contains:
          summary: Filter by partial customer reference
          description: Find user addresses containing part of customer reference
          value:
            customer_reference:
              contains: REF
        street_address_contains:
          summary: Filter by street address
          description: Find user addresses containing part of street address
          value:
            street_address:
              contains: Congress
        combined_filters:
          summary: Combined filters
          description: Use multiple filters together
          value:
            customer_reference:
              contains: REF
            street_address:
              contains: Avenue
    SortUserAddress:
      name: sort
      in: query
      required: false
      description: >-
        Specifies the sort order for results. By default sorting direction is
        ascending. To have the results sorted in descending order add the <code>
        -</code> prefix.<br/><br/>

        That is: <ul>
          <li>
            <code>street_address</code>: sorts the result by the
            <code>street_address</code> field in ascending order.
          </li>

          <li>
            <code>-street_address</code>: sorts the result by the
            <code>street_address</code> field in descending order.
          </li>
        </ul> <br/> If not given, results are sorted by <code>created_at</code>
        in descending order.
      schema:
        type: string
        enum:
          - created_at
          - first_name
          - last_name
          - business_name
          - street_address
        example: street_address
        default: created_at
  responses:
    GetAllUserAddressResponse:
      description: Successful response
      content:
        application/json:
          schema:
            type: object
            properties:
              data:
                type: array
                items:
                  $ref: '#/components/schemas/UserAddress'
              meta:
                $ref: '#/components/schemas/PaginationMeta'
  schemas:
    UserAddress:
      type: object
      title: UserAddress
      properties:
        id:
          type: string
          format: uuid
          description: Uniquely identifies the user address.
          example: c3527e69-dc5a-4b3e-8f44-99d209f83c1d
        record_type:
          type: string
          description: Identifies the type of the resource.
          example: user_address
        customer_reference:
          $ref: '#/components/schemas/customer_reference'
        first_name:
          $ref: '#/components/schemas/user-addresses_first_name'
        last_name:
          $ref: '#/components/schemas/user-addresses_last_name'
        business_name:
          $ref: '#/components/schemas/user-addresses_business_name'
        phone_number:
          $ref: '#/components/schemas/user-addresses_phone_number'
        street_address:
          $ref: '#/components/schemas/user-addresses_street_address'
        extended_address:
          $ref: '#/components/schemas/user-addresses_extended_address'
        locality:
          $ref: '#/components/schemas/user-addresses_locality'
        administrative_area:
          $ref: '#/components/schemas/user-addresses_administrative_area'
        neighborhood:
          $ref: '#/components/schemas/user-addresses_neighborhood'
        borough:
          $ref: '#/components/schemas/user-addresses_borough'
        postal_code:
          $ref: '#/components/schemas/user-addresses_postal_code'
        country_code:
          $ref: '#/components/schemas/user-addresses_country_code'
        created_at:
          type: string
          description: ISO 8601 formatted date indicating when the resource was created.
          example: '2018-02-02T22:25:27.521Z'
        updated_at:
          type: string
          description: ISO 8601 formatted date indicating when the resource was updated.
          example: '2018-02-02T22:25:27.521Z'
    PaginationMeta:
      type: object
      properties:
        total_pages:
          type: integer
          example: 3
        total_results:
          type: integer
          example: 55
        page_number:
          type: integer
          example: 2
        page_size:
          type: integer
          example: 25
    customer_reference:
      type: string
      description: A customer reference string for customer look ups.
      example: MY REF 001
    user-addresses_first_name:
      type: string
      description: The first name associated with the user address.
      example: Alfred
    user-addresses_last_name:
      type: string
      description: The last name associated with the user address.
      example: Foster
    user-addresses_business_name:
      type: string
      description: The business name associated with the user address.
      example: Toy-O'Kon
    user-addresses_phone_number:
      type: string
      description: The phone number associated with the user address.
      example: '+12125559000'
    user-addresses_street_address:
      type: string
      description: The primary street address information about the user address.
      example: 600 Congress Avenue
    user-addresses_extended_address:
      type: string
      description: >-
        Additional street address information about the user address such as,
        but not limited to, unit number or apartment number.
      example: 14th Floor
    user-addresses_locality:
      type: string
      description: >-
        The locality of the user address. For US addresses, this corresponds to
        the city of the address.
      example: Austin
    user-addresses_administrative_area:
      type: string
      description: >-
        The locality of the user address. For US addresses, this corresponds to
        the state of the address.
      example: TX
    user-addresses_neighborhood:
      type: string
      description: >-
        The neighborhood of the user address. This field is not used for
        addresses in the US but is used for some international addresses.
      example: Ciudad de los deportes
    user-addresses_borough:
      type: string
      description: >-
        The borough of the user address. This field is not used for addresses in
        the US but is used for some international addresses.
      example: Guadalajara
    user-addresses_postal_code:
      type: string
      description: The postal code of the user address.
      example: '78701'
    user-addresses_country_code:
      type: string
      description: The two-character (ISO 3166-1 alpha-2) country code of the user address.
      example: US
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````